### Method

# Secret Service ensure_session_sync

#### Declaration [src]

    gboolean
    secret_service_ensure_session_sync (
      SecretService* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that the `SecretService` proxy has established a session with the Secret Service.

This session is used to transfer secrets.

It is not normally necessary to call this method, as the session is established as necessary. You can also pass the `SECRET_SERVICE_OPEN_SESSION` to `secret_service_get_sync()` in order to ensure that a session has been established by the time you get the `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether a session is established or not.